Keepa Browsing Deals
curl --request POST \
--url https://api.aisa.one/apis/v1/keepa/deal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"priceTypes": []
}
'import requests
url = "https://api.aisa.one/apis/v1/keepa/deal"
payload = { "priceTypes": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({priceTypes: []})
};
fetch('https://api.aisa.one/apis/v1/keepa/deal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/keepa/deal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'priceTypes' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/keepa/deal"
payload := strings.NewReader("{\n \"priceTypes\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/keepa/deal")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"priceTypes\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/keepa/deal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"priceTypes\": []\n}"
response = http.request(request)
puts response.read_body{
"tokensConsumed": 1,
"deals": {
"dr": [
{}
]
},
"error": {},
"refillIn": 123,
"refillRate": 123,
"tokenFlowReduction": 123,
"tokensLeft": 123
}Keepa
Keepa Browsing Deals
Keepa Browsing Deals. Token usage is settled from the response using the account’s immutable rate.
POST
https://api.aisa.one
/
apis
/
v1
/
keepa
/
deal
Keepa Browsing Deals
curl --request POST \
--url https://api.aisa.one/apis/v1/keepa/deal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"priceTypes": []
}
'import requests
url = "https://api.aisa.one/apis/v1/keepa/deal"
payload = { "priceTypes": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({priceTypes: []})
};
fetch('https://api.aisa.one/apis/v1/keepa/deal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/keepa/deal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'priceTypes' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/keepa/deal"
payload := strings.NewReader("{\n \"priceTypes\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/keepa/deal")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"priceTypes\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/keepa/deal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"priceTypes\": []\n}"
response = http.request(request)
puts response.read_body{
"tokensConsumed": 1,
"deals": {
"dr": [
{}
]
},
"error": {},
"refillIn": 123,
"refillRate": 123,
"tokenFlowReduction": 123,
"tokensLeft": 123
}Request contract
- Method and path: POST /apis/v1/keepa/deal
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/keepa/deal - Runtime facts: 0bc51a4801a2062613b38952cd78afdcee61c1d5eb0d536a8aa7e307f9bd9a12
{
"operationId": "post_keepa_apis_v1_keepa_deal",
"method": "POST",
"path": "/apis/v1/keepa/deal",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"additionalProperties": false,
"properties": {
"brand": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"currentRange": {
"items": {
"maximum": 2147483647,
"minimum": -1,
"type": "integer"
},
"maxItems": 2,
"minItems": 2,
"type": [
"array",
"null"
]
},
"dateRange": {
"maximum": 3,
"minimum": 0,
"type": "integer"
},
"deltaLastRange": {
"items": {
"maximum": 2147483647,
"minimum": -1,
"type": "integer"
},
"maxItems": 2,
"minItems": 2,
"type": [
"array",
"null"
]
},
"deltaPercentRange": {
"items": {
"maximum": 2147483647,
"minimum": -1,
"type": "integer"
},
"maxItems": 2,
"minItems": 2,
"type": [
"array",
"null"
]
},
"deltaRange": {
"items": {
"maximum": 2147483647,
"minimum": -1,
"type": "integer"
},
"maxItems": 2,
"minItems": 2,
"type": [
"array",
"null"
]
},
"domainId": {
"enum": [
1,
2,
3,
4,
5,
6,
8,
9,
10,
11,
12
],
"type": "integer"
},
"excludeCategories": {
"items": {
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"type": "array"
},
"filterErotic": {
"type": "boolean"
},
"hasReviews": {
"type": "boolean"
},
"includeCategories": {
"items": {
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"type": "array"
},
"isBackInStock": {
"type": "boolean"
},
"isFilterEnabled": {
"type": "boolean"
},
"isHighest": {
"type": "boolean"
},
"isLowest": {
"type": "boolean"
},
"isLowest90": {
"type": "boolean"
},
"isLowestOffer": {
"type": "boolean"
},
"isOutOfStock": {
"type": "boolean"
},
"isPrimeExclusive": {
"type": "boolean"
},
"isRangeEnabled": {
"type": "boolean"
},
"isRisers": {
"type": "boolean"
},
"manufacturer": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"minRating": {
"maximum": 50,
"minimum": -1,
"type": "integer"
},
"mustHaveAmazonOffer": {
"type": "boolean"
},
"mustNotHaveAmazonOffer": {
"type": "boolean"
},
"page": {
"maximum": 66,
"minimum": 0,
"type": "integer"
},
"priceTypes": {
"items": {
"enum": [
0,
1,
2,
3,
5,
6,
7,
8,
9,
10,
18,
19,
20,
21,
22,
27,
32,
33
],
"type": "integer"
},
"maxItems": 1,
"minItems": 1,
"type": "array"
},
"salesRankRange": {
"items": {
"maximum": 2147483647,
"minimum": -1,
"type": "integer"
},
"maxItems": 2,
"minItems": 2,
"type": [
"array",
"null"
]
},
"singleVariation": {
"type": "boolean"
},
"sortType": {
"enum": [
1,
2,
3,
4,
-2,
-3,
-4
],
"type": "integer"
},
"titleSearch": {
"maxLength": 500,
"type": [
"string",
"null"
]
},
"warehouseConditions": {
"items": {
"enum": [
1,
2,
3,
24,
5
],
"type": "integer"
},
"maxItems": 5,
"minItems": 1,
"type": "array"
}
},
"required": [
"domainId",
"priceTypes"
],
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based pricing. A price estimate is not currently available. Your account price may differ; use a request quote where supported.Authorizations
Body
application/json